# UncheckedIOException

open class UncheckedIOException : RuntimeException

### Deprecated

Use java.io.UncheckedIOException instead. Will be removed in Gradle 10.

`UncheckedIOException` is used to wrap an java.io.IOException into an unchecked exception.

## Constructors

UncheckedIOException
Link copied to clipboard
constructor()
constructor(@Nullable message: @Nullable String)
constructor(@Nullable message: @Nullable String, @Nullable cause: @Nullable Throwable)
constructor(@Nullable cause: @Nullable Throwable)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String